## applauncherd 3.0.3-maemo1

=== CMakeLists.txt ===
project(Applauncherd)

cmake_minimum_required(VERSION 2.6)
cmake_policy(VERSION 2.6)

#
# NOTE: For verbose build use VERBOSE=1
#

# Default C++-flags. Sub-builds might alter these.
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -W -Wall -Wextra -g -O3 -Wl,--as-needed")
# Default C-flags. Sub-builds might alter these.
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -W -Wall -Wextra -g -O3")

set(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "")
set(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "")

# Find libdl
find_library(LIBDL NAMES dl)

# Find Qt4
find_package(Qt4 4.6.0 REQUIRED)
include(${QT_USE_FILE})
if (${QTVERSION} VERSION_LESS 4.6.0)
    message(FATAL_ERROR "You need Qt4.6, found ${QTVERSION}.")
endif (${QTVERSION} VERSION_LESS 4.6.0)

# Find libmeegotouch for MBooster and the test programs
include(FindPkgConfig) 
pkg_check_modules(MEEGOTOUCH meegotouch>=0.20 REQUIRED)
include_directories(${MEEGOTOUCH_INCLUDE_DIRS})

# Check if it's possible to compile MBooster with MComponentCache. If so,
# HAVE_MCOMPONENTCACHE is set.
message(STATUS "checking for mcomponentcache.h")
find_file(M_COMPONENT_CACHE NAMES mcomponentcache.h PATHS ${MEEGOTOUCH_INCLUDE_DIRS})
if (EXISTS ${M_COMPONENT_CACHE})
  message(STATUS "  found")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAVE_MCOMPONENTCACHE")
else (EXISTS ${M_COMPONENT_CACHE})
  message(STATUS "  not found")
endif (EXISTS ${M_COMPONENT_CACHE})

# Find creds.h (and libcreds if the header is found)
message(STATUS "checking for creds.h")
find_file(CREDS_H NAMES creds.h PATHS /usr/include/sys)
if (EXISTS ${CREDS_H})
    message(STATUS "  found: " ${CREDS_H})
    message(STATUS "checking for libcreds")
    find_library(LIBCREDS NAMES creds)
    if (EXISTS ${LIBCREDS})
        add_definitions(-DHAVE_CREDS)
        link_libraries(${LIBCREDS})
        message(STATUS "  found: " ${LIBCREDS})
    else (EXISTS ${LIBCREDS})
        message(STATUS "  not found: Platform Security is disabled.")
    endif (EXISTS ${LIBCREDS})
else (EXISTS ${CREDS_H})
    message(STATUS "  not found: Platform Security is disabled.")
endif (EXISTS ${CREDS_H})

# Find aegis_crypto.h (and libaegis_crypto if the header is found)
message(STATUS "checking for aegis_crypto.h")
find_file(AEGIS_CRYPTO_H NAMES aegis_crypto.h PATHS /usr/include/sys)
if (EXISTS ${AEGIS_CRYPTO_H})
    message(STATUS "  found: " ${AEGIS_CRYPTO_H})
    message(STATUS "checking for libaegis_crypto")
    find_library(LIBAEGIS_CRYPTO NAMES aegis_crypto)
    if (EXISTS ${LIBAEGIS_CRYPTO})
        add_definitions(-DHAVE_AEGIS_CRYPTO)
        link_libraries(${LIBAEGIS_CRYPTO})
        message(STATUS "  found: " ${LIBAEGIS_CRYPTO})
    else (EXISTS ${LIBAEGIS_CRYPTO})
        message(STATUS "  not found: Platform Security is disabled.")
    endif (EXISTS ${LIBAEGIS_CRYPTO})
else (EXISTS ${AEGIS_CRYPTO_H})
    message(STATUS "  not found: Platform Security is disabled.")
endif (EXISTS ${AEGIS_CRYPTO_H})

if ($ENV{DISABLE_VERIFICATION})
    add_definitions(-DDISABLE_VERIFICATION)
endif ($ENV{DISABLE_VERIFICATION})

if ($ENV{DEBUG_BUILD})
    add_definitions(-DDEBUG_BUILD)
endif ($ENV{DEBUG_BUILD})

# Set the program name defines. Must be at this level due to unit tests.
add_definitions(-DPROG_NAME_INVOKER="invoker")
add_definitions(-DPROG_NAME_LAUNCHER="applauncherd")
add_definitions(-DPROG_NAME_SINGLE_INSTANCE="single-instance")

# Set gconf key definitions. These are used by MonitorBooster to get
# notifications when language / theme changes.
add_definitions(-DMEEGOTOUCH_THEME_GCONF_KEY="/meegotouch/theme/name")
add_definitions(-DMEEGOTOUCH_LANGUAGE_GCONF_KEY="/meegotouch/i18n/language")

# applauncherd will find lib*booster.so from here
add_definitions(-DBOOSTER_PLUGIN_DIR="/usr/lib/applauncherd")

# applauncherd will try to load single-instance using this path
add_definitions(-DSINGLE_INSTANCE_PATH="/usr/bin/single-instance")

# Disable debug logging, only error and warning messages get logged
# Currently effective only for invoker. Launcher part recognizes --debug
# which enables console echoing and debug messages.
add_definitions(-DDEBUG_LOGGING_DISABLED)

# Build with test coverage switch if BUILD_COVERAGE environment variable is set
if ($ENV{BUILD_COVERAGE})
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage -DWITH_COVERAGE")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage -DWITH_COVERAGE")
    set(CMAKE_LD_FLAGS "${CMAKE_LD_FLAGS} --coverage")
endif ($ENV{BUILD_COVERAGE})

# Sub build: applauncherd
add_subdirectory(src)

# Build tests if BUILD_TESTS environment variable is set
if ($ENV{BUILD_TESTS})
    # Sub build: tests
    # This will build the HelloWorld test library, unit tests, functional tests
    # and performance tests
    add_subdirectory(tests)
endif ($ENV{BUILD_TESTS})

# Target for documentation (make doc)
find_program(Doxygen NAMES doxygen)
if (EXISTS ${Doxygen})
    add_custom_target(doc COMMAND cd doc && ${Doxygen} doxygen-impldoc.conf COMMAND cd doc && ${Doxygen} doxygen-userdoc.conf COMMAND cd doc && ${Doxygen} doxygen-mdeclarativecache.conf)
else (EXISTS ${Doxygen})
    message(STATUS "Doxygen not found: you're not able to build documentation.")
endif (EXISTS ${Doxygen})

# Install README
install(FILES README DESTINATION /usr/share/doc/applauncherd)

# Install html documentation
install(DIRECTORY doc/implementation-documentation DESTINATION /usr/share/doc/applauncherd)
install(DIRECTORY doc/user-documentation DESTINATION /usr/share/doc/applauncherd)
install(DIRECTORY doc/mdeclarativecache-documentation DESTINATION /usr/share/doc/applauncherd)


# Install examples
install(DIRECTORY examples
        DESTINATION /usr/share/doc/applauncherd)

# Install startup script
if ($ENV{DEBUG_BUILD})
    install(PROGRAMS src/scripts/applauncherd-debug DESTINATION /usr/bin/ RENAME applauncherd)
else ($ENV{DEBUG_BUILD})
    install(PROGRAMS src/scripts/applauncherd DESTINATION /usr/bin/)
endif ($ENV{DEBUG_BUILD})

# Install pkg-config and qmake feature files. Note that current packaging policy is such 
# that applauncherd-dev installs only qt-boostable.pc which is intended for "all" 
# non-MeeGo Touch applications. meegotouch-boostable.pc is installed by libmeegotouch-dev 
# so as to make it easier for MeeGo Touch application developers. 
#
# TODO: Should meegotouch-boostable.* be removed completely from here since it's already included
#       in meegotouch-dev ?
install(FILES data/pkgconfig/meegotouch-boostable.pc DESTINATION /usr/lib/pkgconfig)
install(FILES data/mkspecs/features/meegotouch-boostable.prf DESTINATION /usr/share/qt4/mkspecs/features)
install(FILES data/pkgconfig/qt-boostable.pc DESTINATION /usr/lib/pkgconfig)
install(FILES data/mkspecs/features/qt-boostable.prf DESTINATION /usr/share/qt4/mkspecs/features)
install(FILES data/pkgconfig/qdeclarative-boostable.pc DESTINATION /usr/lib/pkgconfig)
install(FILES data/mkspecs/features/qdeclarative-boostable.prf DESTINATION /usr/share/qt4/mkspecs/features)
if ($ENV{MEEGO})
    install(FILES meego/applauncherd.desktop DESTINATION /etc/xdg/autostart)
endif ($ENV{MEEGO})

# Install aegisfs configuration file
install(FILES aegisfs/applauncherd-fs.conf DESTINATION /etc/aegisfs.d)

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named doc

# Build rule for target.
doc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 doc
.PHONY : doc

# fast build rule for target.
doc/fast:
	$(MAKE) -f CMakeFiles/doc.dir/build.make CMakeFiles/doc.dir/build
.PHONY : doc/fast

#=============================================================================
# Target rules for targets named invoker

# Build rule for target.
invoker: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 invoker
.PHONY : invoker

# fast build rule for target.
invoker/fast:
	$(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/build
.PHONY : invoker/fast

#=============================================================================
# Target rules for targets named applauncherd.bin

# Build rule for target.
applauncherd.bin: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 applauncherd.bin
.PHONY : applauncherd.bin

# fast build rule for target.
applauncherd.bin/fast:
	$(MAKE) -f src/launcher/CMakeFiles/applauncherd.bin.dir/build.make src/launcher/CMakeFiles/applauncherd.bin.dir/build
.PHONY : applauncherd.bin/fast

#=============================================================================
# Target rules for targets named applauncherd

# Build rule for target.
applauncherd: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 applauncherd
.PHONY : applauncherd

# fast build rule for target.
applauncherd/fast:
	$(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/build
.PHONY : applauncherd/fast

#=============================================================================
# Target rules for targets named ebooster

# Build rule for target.
ebooster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ebooster
.PHONY : ebooster

# fast build rule for target.
ebooster/fast:
	$(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/build
.PHONY : ebooster/fast

#=============================================================================
# Target rules for targets named mbooster

# Build rule for target.
mbooster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 mbooster
.PHONY : mbooster

# fast build rule for target.
mbooster/fast:
	$(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/build
.PHONY : mbooster/fast

#=============================================================================
# Target rules for targets named qtbooster

# Build rule for target.
qtbooster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 qtbooster
.PHONY : qtbooster

# fast build rule for target.
qtbooster/fast:
	$(MAKE) -f src/qtbooster/CMakeFiles/qtbooster.dir/build.make src/qtbooster/CMakeFiles/qtbooster.dir/build
.PHONY : qtbooster/fast

#=============================================================================
# Target rules for targets named mdeclarativecache

# Build rule for target.
mdeclarativecache: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 mdeclarativecache
.PHONY : mdeclarativecache

# fast build rule for target.
mdeclarativecache/fast:
	$(MAKE) -f src/qdeclarativebooster/CMakeFiles/mdeclarativecache.dir/build.make src/qdeclarativebooster/CMakeFiles/mdeclarativecache.dir/build
.PHONY : mdeclarativecache/fast

#=============================================================================
# Target rules for targets named qdeclarativebooster

# Build rule for target.
qdeclarativebooster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 qdeclarativebooster
.PHONY : qdeclarativebooster

# fast build rule for target.
qdeclarativebooster/fast:
	$(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build
.PHONY : qdeclarativebooster/fast

#=============================================================================
# Target rules for targets named single-instance

# Build rule for target.
single-instance: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 single-instance
.PHONY : single-instance

# fast build rule for target.
single-instance/fast:
	$(MAKE) -f src/single-instance/CMakeFiles/single-instance.dir/build.make src/single-instance/CMakeFiles/single-instance.dir/build
.PHONY : single-instance/fast

#=============================================================================
# Target rules for targets named creds_test

# Build rule for target.
creds_test: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 creds_test
.PHONY : creds_test

# fast build rule for target.
creds_test/fast:
	$(MAKE) -f tests/harmattan/testapps/creds/CMakeFiles/creds_test.dir/build.make tests/harmattan/testapps/creds/CMakeFiles/creds_test.dir/build
.PHONY : creds_test/fast

#=============================================================================
# Target rules for targets named ut_booster

# Build rule for target.
ut_booster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ut_booster
.PHONY : ut_booster

# fast build rule for target.
ut_booster/fast:
	$(MAKE) -f tests/common/unittests/ut_booster/CMakeFiles/ut_booster.dir/build.make tests/common/unittests/ut_booster/CMakeFiles/ut_booster.dir/build
.PHONY : ut_booster/fast

#=============================================================================
# Target rules for targets named ut_boosterfactory

# Build rule for target.
ut_boosterfactory: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ut_boosterfactory
.PHONY : ut_boosterfactory

# fast build rule for target.
ut_boosterfactory/fast:
	$(MAKE) -f tests/common/unittests/ut_boosterfactory/CMakeFiles/ut_boosterfactory.dir/build.make tests/common/unittests/ut_boosterfactory/CMakeFiles/ut_boosterfactory.dir/build
.PHONY : ut_boosterfactory/fast

#=============================================================================
# Target rules for targets named ut_connection

# Build rule for target.
ut_connection: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ut_connection
.PHONY : ut_connection

# fast build rule for target.
ut_connection/fast:
	$(MAKE) -f tests/common/unittests/ut_connection/CMakeFiles/ut_connection.dir/build.make tests/common/unittests/ut_connection/CMakeFiles/ut_connection.dir/build
.PHONY : ut_connection/fast

#=============================================================================
# Target rules for targets named ut_daemon

# Build rule for target.
ut_daemon: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ut_daemon
.PHONY : ut_daemon

# fast build rule for target.
ut_daemon/fast:
	$(MAKE) -f tests/common/unittests/ut_daemon/CMakeFiles/ut_daemon.dir/build.make tests/common/unittests/ut_daemon/CMakeFiles/ut_daemon.dir/build
.PHONY : ut_daemon/fast

#=============================================================================
# Target rules for targets named ut_dbooster

# Build rule for target.
ut_dbooster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ut_dbooster
.PHONY : ut_dbooster

# fast build rule for target.
ut_dbooster/fast:
	$(MAKE) -f tests/common/unittests/ut_dbooster/CMakeFiles/ut_dbooster.dir/build.make tests/common/unittests/ut_dbooster/CMakeFiles/ut_dbooster.dir/build

=== src/CMakeLists.txt ===
# Sub build: invoker
add_subdirectory(invoker)

# Sub build: launcher
add_subdirectory(launcher)

# Sub build: launcher library
add_subdirectory(launcherlib)

# Sub build: ebooster plugin
add_subdirectory(ebooster)

# Sub build: mbooster plugin
add_subdirectory(mbooster)

# Sub build: qtbooster plugin
add_subdirectory(qtbooster)

# Sub build: qdeclarativebooster plugin
add_subdirectory(qdeclarativebooster)

# Sub build: single-instance binary / library
add_subdirectory(single-instance)

=== tests/CMakeLists.txt ===
# Sub build: meego/testscripts 
add_subdirectory(meego/testscripts)

# Sub build: meego/art-tests
add_subdirectory(meego/art-tests)

# Sub build: meego/bug-tests
add_subdirectory(meego/bug-tests)

# Sub build: meego/functests
add_subdirectory(meego/functests)

# Sub build: meego/perftests
add_subdirectory(meego/perftests)

# Sub build: harmattan/testapps/creds 
add_subdirectory(harmattan/testapps/creds)

# Sub build: harmattan/testscripts
add_subdirectory(harmattan/testscripts)

# Sub build: harmattan/art-tests
add_subdirectory(harmattan/art-tests)

# Sub build: harmattan/apps-tests
add_subdirectory(harmattan/apps-tests)

# Sub build: harmattan/red-tests
add_subdirectory(harmattan/red-tests)

# Sub build: harmattan/invoker-tests
add_subdirectory(harmattan/invoker-tests)

# Sub build: harmattan/daemon-tests
add_subdirectory(harmattan/daemon-tests)

# Sub build: harmattan/functests
add_subdirectory(harmattan/functests)

# Sub build: harmattan/perftests/qml
add_subdirectory(harmattan/perftests/qml)

# Sub build: harmattan/perftests/qml
add_subdirectory(harmattan/perftests/lmt)

# Sub build: harmattan/perftests/qml
add_subdirectory(harmattan/perftests/reference)

# Sub build: common/unittests
add_subdirectory(common/unittests)

# Sub build: common/testapps/fala_status
add_subdirectory(common/testapps/fala_status)

# Sub build: common/testapps/fala_wait
add_subdirectory(common/testapps/fala_wait)

# Sub build: common/testapps/fala_exit
add_subdirectory(common/testapps/fala_exit)

# Sub build: common/testapps/focustest
add_subdirectory(common/testapps/focustest)

# Sub build: common/testapps/testapp
add_subdirectory(common/testapps/testapp)

# Sub build: common/testapps/themetest
add_subdirectory(common/testapps/themetest)

# Sub build: common/testapps/fala_gettime
add_subdirectory(common/testapps/fala_gettime)

# Sub build: common/testapps/fala_gettime_ms
add_subdirectory(common/testapps/fala_gettime_ms)

# Sub build: common/testapps/fala_multi-instance
add_subdirectory(common/testapps/fala_multi-instance)

# Sub build: common/testapps/helloworld
add_subdirectory(common/testapps/helloworld)

# Sub build: common/testapps/pixelchanged
add_subdirectory(common/testapps/pixelchanged)

# Sub build: common/testapps/fala_windowid
add_subdirectory(common/testapps/fala_windowid)

# Sub build: common/testapps/xsendevent
add_subdirectory(common/testapps/xsendevent)

# Sub build: common/testapps/fala_qml_helloworld
add_subdirectory(common/testapps/fala_qml_helloworld)

# Sub build: common/testapps/fala_multiwindow
add_subdirectory(common/testapps/fala_multiwindow)

# Sub build: common/testapps/fala_windowless
add_subdirectory(common/testapps/fala_windowless)

=== tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/tests/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/ebooster/CMakeLists.txt ===
# Qt support
include(${QT_USE_FILE})

set(LAUNCHER "${CMAKE_HOME_DIRECTORY}/src/launcherlib")
set(COMMON "${CMAKE_HOME_DIRECTORY}/src/common")

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${COMMON} ${LAUNCHER})

# Hide all symbols except the ones explicitly exported in the code (like main())
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

# Set sources
set(SRC ebooster.cpp pluginfactory.cpp ${LAUNCHER}/appdata.cpp ${LAUNCHER}/booster.cpp
${LAUNCHER}/connection.cpp ${LAUNCHER}/logger.cpp
${LAUNCHER}/singleinstance.cpp ${LAUNCHER}/socketmanager.cpp)

# Set libraries to be linked.
link_libraries(${MEEGOTOUCH_LIBRARIES} ${LIBDL} ${QT_QTCORE_LIBRARY})

# Set executable
add_library(ebooster MODULE ${SRC} ${MOC_SRC})

# Add install rule
install(TARGETS ebooster DESTINATION /usr/lib/applauncherd/)

=== src/ebooster/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/src/ebooster/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/ebooster/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/ebooster/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/ebooster/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/ebooster/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/ebooster/CMakeFiles/ebooster.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/ebooster/CMakeFiles/ebooster.dir/rule
.PHONY : src/ebooster/CMakeFiles/ebooster.dir/rule

# Convenience name for target.
ebooster: src/ebooster/CMakeFiles/ebooster.dir/rule
.PHONY : ebooster

# fast build rule for target.
ebooster/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/build
.PHONY : ebooster/fast

__/launcherlib/appdata.o: __/launcherlib/appdata.cpp.o
.PHONY : __/launcherlib/appdata.o

# target to build an object file
__/launcherlib/appdata.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/appdata.cpp.o
.PHONY : __/launcherlib/appdata.cpp.o

__/launcherlib/appdata.i: __/launcherlib/appdata.cpp.i
.PHONY : __/launcherlib/appdata.i

# target to preprocess a source file
__/launcherlib/appdata.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/appdata.cpp.i
.PHONY : __/launcherlib/appdata.cpp.i

__/launcherlib/appdata.s: __/launcherlib/appdata.cpp.s
.PHONY : __/launcherlib/appdata.s

# target to generate assembly for a file
__/launcherlib/appdata.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/appdata.cpp.s
.PHONY : __/launcherlib/appdata.cpp.s

__/launcherlib/booster.o: __/launcherlib/booster.cpp.o
.PHONY : __/launcherlib/booster.o

# target to build an object file
__/launcherlib/booster.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/booster.cpp.o
.PHONY : __/launcherlib/booster.cpp.o

__/launcherlib/booster.i: __/launcherlib/booster.cpp.i
.PHONY : __/launcherlib/booster.i

# target to preprocess a source file
__/launcherlib/booster.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/booster.cpp.i
.PHONY : __/launcherlib/booster.cpp.i

__/launcherlib/booster.s: __/launcherlib/booster.cpp.s
.PHONY : __/launcherlib/booster.s

# target to generate assembly for a file
__/launcherlib/booster.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/booster.cpp.s
.PHONY : __/launcherlib/booster.cpp.s

__/launcherlib/connection.o: __/launcherlib/connection.cpp.o
.PHONY : __/launcherlib/connection.o

# target to build an object file
__/launcherlib/connection.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/connection.cpp.o
.PHONY : __/launcherlib/connection.cpp.o

__/launcherlib/connection.i: __/launcherlib/connection.cpp.i
.PHONY : __/launcherlib/connection.i

# target to preprocess a source file
__/launcherlib/connection.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/connection.cpp.i
.PHONY : __/launcherlib/connection.cpp.i

__/launcherlib/connection.s: __/launcherlib/connection.cpp.s
.PHONY : __/launcherlib/connection.s

# target to generate assembly for a file
__/launcherlib/connection.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/connection.cpp.s
.PHONY : __/launcherlib/connection.cpp.s

__/launcherlib/logger.o: __/launcherlib/logger.cpp.o
.PHONY : __/launcherlib/logger.o

# target to build an object file
__/launcherlib/logger.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/logger.cpp.o
.PHONY : __/launcherlib/logger.cpp.o

__/launcherlib/logger.i: __/launcherlib/logger.cpp.i
.PHONY : __/launcherlib/logger.i

# target to preprocess a source file
__/launcherlib/logger.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/logger.cpp.i
.PHONY : __/launcherlib/logger.cpp.i

__/launcherlib/logger.s: __/launcherlib/logger.cpp.s
.PHONY : __/launcherlib/logger.s

# target to generate assembly for a file
__/launcherlib/logger.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/logger.cpp.s
.PHONY : __/launcherlib/logger.cpp.s

__/launcherlib/singleinstance.o: __/launcherlib/singleinstance.cpp.o
.PHONY : __/launcherlib/singleinstance.o

# target to build an object file
__/launcherlib/singleinstance.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/singleinstance.cpp.o
.PHONY : __/launcherlib/singleinstance.cpp.o

__/launcherlib/singleinstance.i: __/launcherlib/singleinstance.cpp.i
.PHONY : __/launcherlib/singleinstance.i

# target to preprocess a source file
__/launcherlib/singleinstance.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/singleinstance.cpp.i
.PHONY : __/launcherlib/singleinstance.cpp.i

__/launcherlib/singleinstance.s: __/launcherlib/singleinstance.cpp.s
.PHONY : __/launcherlib/singleinstance.s

# target to generate assembly for a file
__/launcherlib/singleinstance.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/singleinstance.cpp.s
.PHONY : __/launcherlib/singleinstance.cpp.s

__/launcherlib/socketmanager.o: __/launcherlib/socketmanager.cpp.o
.PHONY : __/launcherlib/socketmanager.o

# target to build an object file
__/launcherlib/socketmanager.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/__/launcherlib/socketmanager.cpp.o
.PHONY : __/launcherlib/socketmanager.cpp.o

__/launcherlib/socketmanager.i: __/launcherlib/socketmanager.cpp.i
.PHONY : __/launcherlib/socketmanager.i

# target to preprocess a source file
__/launcherlib/socketmanager.cpp.i:

=== src/launcher/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/src/launcher/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcher/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcher/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcher/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcher/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/launcher/CMakeFiles/applauncherd.bin.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcher/CMakeFiles/applauncherd.bin.dir/rule
.PHONY : src/launcher/CMakeFiles/applauncherd.bin.dir/rule

# Convenience name for target.
applauncherd.bin: src/launcher/CMakeFiles/applauncherd.bin.dir/rule
.PHONY : applauncherd.bin

# fast build rule for target.
applauncherd.bin/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcher/CMakeFiles/applauncherd.bin.dir/build.make src/launcher/CMakeFiles/applauncherd.bin.dir/build
.PHONY : applauncherd.bin/fast

launcher.o: launcher.c.o
.PHONY : launcher.o

# target to build an object file
launcher.c.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcher/CMakeFiles/applauncherd.bin.dir/build.make src/launcher/CMakeFiles/applauncherd.bin.dir/launcher.c.o
.PHONY : launcher.c.o

launcher.i: launcher.c.i
.PHONY : launcher.i

# target to preprocess a source file
launcher.c.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcher/CMakeFiles/applauncherd.bin.dir/build.make src/launcher/CMakeFiles/applauncherd.bin.dir/launcher.c.i
.PHONY : launcher.c.i

launcher.s: launcher.c.s
.PHONY : launcher.s

# target to generate assembly for a file
launcher.c.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcher/CMakeFiles/applauncherd.bin.dir/build.make src/launcher/CMakeFiles/applauncherd.bin.dir/launcher.c.s
.PHONY : launcher.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... applauncherd.bin"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... launcher.o"
	@echo "... launcher.i"
	@echo "... launcher.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/launcherlib/CMakeLists.txt ===
# Qt support
include(${QT_USE_FILE})

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_HOME_DIRECTORY}/src/common)

# Hide all symbols except the ones explicitly exported in the code (like main())
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

# Set sources
set(SRC appdata.cpp booster.cpp boosterfactory.cpp boosterpluginregistry.cpp
        connection.cpp daemon.cpp logger.cpp main.cpp 
        singleinstance.cpp socketmanager.cpp)

qt4_wrap_cpp(MOC_SRC ${MOC_HDRS})

# Set libraries to be linked. Shared libraries to be preloaded are not linked in anymore,
# but dlopen():ed and listed in src/launcher/preload.h instead.
link_libraries(${LIBDL} ${X11_LIBRARIES})

# Set executable
add_library(applauncherd MODULE ${SRC} ${MOC_SRC})

# Add install rule
install(FILES libapplauncherd.so DESTINATION /usr/lib/applauncherd/)

=== src/launcherlib/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/src/launcherlib/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcherlib/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcherlib/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcherlib/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcherlib/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/launcherlib/CMakeFiles/applauncherd.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcherlib/CMakeFiles/applauncherd.dir/rule
.PHONY : src/launcherlib/CMakeFiles/applauncherd.dir/rule

# Convenience name for target.
applauncherd: src/launcherlib/CMakeFiles/applauncherd.dir/rule
.PHONY : applauncherd

# fast build rule for target.
applauncherd/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/build
.PHONY : applauncherd/fast

appdata.o: appdata.cpp.o
.PHONY : appdata.o

# target to build an object file
appdata.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/appdata.cpp.o
.PHONY : appdata.cpp.o

appdata.i: appdata.cpp.i
.PHONY : appdata.i

# target to preprocess a source file
appdata.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/appdata.cpp.i
.PHONY : appdata.cpp.i

appdata.s: appdata.cpp.s
.PHONY : appdata.s

# target to generate assembly for a file
appdata.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/appdata.cpp.s
.PHONY : appdata.cpp.s

booster.o: booster.cpp.o
.PHONY : booster.o

# target to build an object file
booster.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/booster.cpp.o
.PHONY : booster.cpp.o

booster.i: booster.cpp.i
.PHONY : booster.i

# target to preprocess a source file
booster.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/booster.cpp.i
.PHONY : booster.cpp.i

booster.s: booster.cpp.s
.PHONY : booster.s

# target to generate assembly for a file
booster.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/booster.cpp.s
.PHONY : booster.cpp.s

boosterfactory.o: boosterfactory.cpp.o
.PHONY : boosterfactory.o

# target to build an object file
boosterfactory.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterfactory.cpp.o
.PHONY : boosterfactory.cpp.o

boosterfactory.i: boosterfactory.cpp.i
.PHONY : boosterfactory.i

# target to preprocess a source file
boosterfactory.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterfactory.cpp.i
.PHONY : boosterfactory.cpp.i

boosterfactory.s: boosterfactory.cpp.s
.PHONY : boosterfactory.s

# target to generate assembly for a file
boosterfactory.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterfactory.cpp.s
.PHONY : boosterfactory.cpp.s

boosterpluginregistry.o: boosterpluginregistry.cpp.o
.PHONY : boosterpluginregistry.o

# target to build an object file
boosterpluginregistry.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterpluginregistry.cpp.o
.PHONY : boosterpluginregistry.cpp.o

boosterpluginregistry.i: boosterpluginregistry.cpp.i
.PHONY : boosterpluginregistry.i

# target to preprocess a source file
boosterpluginregistry.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterpluginregistry.cpp.i
.PHONY : boosterpluginregistry.cpp.i

boosterpluginregistry.s: boosterpluginregistry.cpp.s
.PHONY : boosterpluginregistry.s

# target to generate assembly for a file
boosterpluginregistry.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterpluginregistry.cpp.s
.PHONY : boosterpluginregistry.cpp.s

connection.o: connection.cpp.o
.PHONY : connection.o

# target to build an object file
connection.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/connection.cpp.o
.PHONY : connection.cpp.o

connection.i: connection.cpp.i
.PHONY : connection.i

# target to preprocess a source file
connection.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/connection.cpp.i
.PHONY : connection.cpp.i

connection.s: connection.cpp.s
.PHONY : connection.s

# target to generate assembly for a file
connection.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/connection.cpp.s
.PHONY : connection.cpp.s

daemon.o: daemon.cpp.o
.PHONY : daemon.o

# target to build an object file
daemon.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/daemon.cpp.o
.PHONY : daemon.cpp.o

daemon.i: daemon.cpp.i
.PHONY : daemon.i

# target to preprocess a source file
daemon.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/daemon.cpp.i
.PHONY : daemon.cpp.i

daemon.s: daemon.cpp.s
.PHONY : daemon.s

# target to generate assembly for a file
daemon.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/daemon.cpp.s
.PHONY : daemon.cpp.s

logger.o: logger.cpp.o
.PHONY : logger.o

# target to build an object file
logger.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/logger.cpp.o
.PHONY : logger.cpp.o

logger.i: logger.cpp.i
.PHONY : logger.i

# target to preprocess a source file
logger.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/logger.cpp.i
.PHONY : logger.cpp.i

logger.s: logger.cpp.s
.PHONY : logger.s

=== src/qdeclarativebooster/CMakeLists.txt ===
include(FindX11)

# Qt support
include(${QT_USE_FILE})

FIND_PACKAGE(Qt4 COMPONENTS QtDeclarative QtCore REQUIRED)
FIND_PACKAGE(${QT_QTDECLARATIVE_LIBRARY} REQUIRED)

set(LAUNCHER "${CMAKE_HOME_DIRECTORY}/src/launcherlib")
set(COMMON "${CMAKE_HOME_DIRECTORY}/src/common")
set(QT_USE_QTDECLARATIVE TRUE)
set(QT_USE_QTMAIN TRUE)
ADD_DEFINITIONS(${QT_DEFINITIONS})

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${COMMON} ${LAUNCHER})

# Set sources
set(PLUGINSRC qdeclarativebooster.cpp pluginfactory.cpp ${LAUNCHER}/appdata.cpp ${LAUNCHER}/booster.cpp
${LAUNCHER}/connection.cpp ${LAUNCHER}/logger.cpp
${LAUNCHER}/singleinstance.cpp ${LAUNCHER}/socketmanager.cpp ${COMMON}/eventhandler.cpp)
set(MOC_HDRS ${COMMON}/eventhandler.h)
qt4_wrap_cpp(MOC_SRC ${MOC_HDRS})

set(LIBSRC mdeclarativecache.cpp mdeclarativecache.h mdeclarativecache_p.h)

# Set executables
add_library(mdeclarativecache SHARED ${LIBSRC})
set_target_properties(mdeclarativecache PROPERTIES
  VERSION 0.1 SOVERSION 0)
if ($ENV{HARMATTAN})
  set_target_properties(mdeclarativecache PROPERTIES COMPILE_FLAGS -DHAVE_PATH_REINIT)
endif ($ENV{HARMATTAN})
target_link_libraries(mdeclarativecache ${LIBDL} ${QT_QTCORE_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY} ${QT_QTGUI_LIBRARY} ${X11_LIBRARIES} QtDeclarative)

add_library(qdeclarativebooster MODULE ${PLUGINSRC} ${MOC_SRC})
set_target_properties(qdeclarativebooster PROPERTIES 
  COMPILE_FLAGS -fvisibility=hidden)
target_link_libraries(qdeclarativebooster ${LIBDL} "-L. -lmdeclarativecache")
add_dependencies(qdeclarativebooster mdeclarativecache)

# Add install rule
install(TARGETS qdeclarativebooster DESTINATION /usr/lib/applauncherd/)
install(TARGETS mdeclarativecache DESTINATION /usr/lib)
install(FILES mdeclarativecache.h MDeclarativeCache DESTINATION /usr/include/applauncherd
  PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)
install(FILES README-QDECLARATIVEBOOSTER DESTINATION /usr/share/doc/applauncherd)

=== src/qdeclarativebooster/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/src/qdeclarativebooster/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/qdeclarativebooster/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/qdeclarativebooster/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/qdeclarativebooster/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/qdeclarativebooster/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/qdeclarativebooster/CMakeFiles/mdeclarativecache.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/qdeclarativebooster/CMakeFiles/mdeclarativecache.dir/rule
.PHONY : src/qdeclarativebooster/CMakeFiles/mdeclarativecache.dir/rule

# Convenience name for target.
mdeclarativecache: src/qdeclarativebooster/CMakeFiles/mdeclarativecache.dir/rule
.PHONY : mdeclarativecache

# fast build rule for target.
mdeclarativecache/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/mdeclarativecache.dir/build.make src/qdeclarativebooster/CMakeFiles/mdeclarativecache.dir/build
.PHONY : mdeclarativecache/fast

# Convenience name for target.
src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/rule
.PHONY : src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/rule

# Convenience name for target.
qdeclarativebooster: src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/rule
.PHONY : qdeclarativebooster

# fast build rule for target.
qdeclarativebooster/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build
.PHONY : qdeclarativebooster/fast

__/common/eventhandler.o: __/common/eventhandler.cpp.o
.PHONY : __/common/eventhandler.o

# target to build an object file
__/common/eventhandler.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/common/eventhandler.cpp.o
.PHONY : __/common/eventhandler.cpp.o

__/common/eventhandler.i: __/common/eventhandler.cpp.i
.PHONY : __/common/eventhandler.i

# target to preprocess a source file
__/common/eventhandler.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/common/eventhandler.cpp.i
.PHONY : __/common/eventhandler.cpp.i

__/common/eventhandler.s: __/common/eventhandler.cpp.s
.PHONY : __/common/eventhandler.s

# target to generate assembly for a file
__/common/eventhandler.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/common/eventhandler.cpp.s
.PHONY : __/common/eventhandler.cpp.s

__/common/moc_eventhandler.o: __/common/moc_eventhandler.cxx.o
.PHONY : __/common/moc_eventhandler.o

# target to build an object file
__/common/moc_eventhandler.cxx.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/common/moc_eventhandler.cxx.o
.PHONY : __/common/moc_eventhandler.cxx.o

__/common/moc_eventhandler.i: __/common/moc_eventhandler.cxx.i
.PHONY : __/common/moc_eventhandler.i

# target to preprocess a source file
__/common/moc_eventhandler.cxx.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/common/moc_eventhandler.cxx.i
.PHONY : __/common/moc_eventhandler.cxx.i

__/common/moc_eventhandler.s: __/common/moc_eventhandler.cxx.s
.PHONY : __/common/moc_eventhandler.s

# target to generate assembly for a file
__/common/moc_eventhandler.cxx.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/common/moc_eventhandler.cxx.s
.PHONY : __/common/moc_eventhandler.cxx.s

__/launcherlib/appdata.o: __/launcherlib/appdata.cpp.o
.PHONY : __/launcherlib/appdata.o

# target to build an object file
__/launcherlib/appdata.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/launcherlib/appdata.cpp.o
.PHONY : __/launcherlib/appdata.cpp.o

__/launcherlib/appdata.i: __/launcherlib/appdata.cpp.i
.PHONY : __/launcherlib/appdata.i

# target to preprocess a source file
__/launcherlib/appdata.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/launcherlib/appdata.cpp.i
.PHONY : __/launcherlib/appdata.cpp.i

__/launcherlib/appdata.s: __/launcherlib/appdata.cpp.s
.PHONY : __/launcherlib/appdata.s

# target to generate assembly for a file
__/launcherlib/appdata.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/launcherlib/appdata.cpp.s
.PHONY : __/launcherlib/appdata.cpp.s

__/launcherlib/booster.o: __/launcherlib/booster.cpp.o
.PHONY : __/launcherlib/booster.o

# target to build an object file
__/launcherlib/booster.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/launcherlib/booster.cpp.o
.PHONY : __/launcherlib/booster.cpp.o

__/launcherlib/booster.i: __/launcherlib/booster.cpp.i
.PHONY : __/launcherlib/booster.i

# target to preprocess a source file
__/launcherlib/booster.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/launcherlib/booster.cpp.i
.PHONY : __/launcherlib/booster.cpp.i

__/launcherlib/booster.s: __/launcherlib/booster.cpp.s
.PHONY : __/launcherlib/booster.s

# target to generate assembly for a file
__/launcherlib/booster.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/launcherlib/booster.cpp.s
.PHONY : __/launcherlib/booster.cpp.s

__/launcherlib/connection.o: __/launcherlib/connection.cpp.o
.PHONY : __/launcherlib/connection.o

# target to build an object file
__/launcherlib/connection.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/__/launcherlib/connection.cpp.o

=== debian/changelog ===
applauncherd (3.0.3-maemo1) fremantle; urgency=low
  * Fixed the depends for applauncherd-launcher
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Fri, 27 Jul 2012 08:51:59 +0200

=== tests/harmattan/testapps/applauncherd-token-test-1.0/debian/changelog ===
applauncherd-token-test (1.0) unstable; urgency=low

  * Initial Release.

 -- Marek Ruszczak <ext-marek.ruszczak@nokia.com>  Fri, 04 Nov 2011 16:05:43 +0200

=== tests/harmattan/testapps/applauncherd-token-test-1.1/debian/changelog ===
applauncherd-token-test (1.1) unstable; urgency=low

  * adding additional custom credential token.

 -- Marek Ruszczak <ext-marek.ruszczak@nokia.com>  Tue, 15 Nov 2011 15:33:16 +0200

applauncherd-token-test (1.0) stable; urgency=low

  * Initial Release.

 -- Marek Ruszczak <ext-marek.ruszczak@nokia.com>  Fri, 04 Nov 2011 16:05:43 +0200

=== tests/harmattan/testapps/applauncherd-usrlib-test/debian/changelog ===
applauncherd-usrlib-test (1.1) stable; urgency=low

  * test for upgrade.

 -- Thyagarajan Balakrishnan <ext-thyagarajan.1.balakrishnan@nokia.com>  Thu, 10 Nov 2011 16:05:43 +0200

applauncherd-usrlib-test (1.0) stable; urgency=low

  * Initial Release.

 -- Thyagarajan Balakrishnan <ext-thyagarajan.1.balakrishnan@nokia.com>  Wed, 09 Nov 2011 16:05:43 +0200

=== debian/control ===
Source: applauncherd
Section: admin
Priority: important
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Alexey Shilov <alexey.shilov@nokia.com>
Build-Depends: cmake (>= 2.6.0), debhelper7, libqt4-dev (>= 4.5.0), libmeegotouch-dev [armel], libcreds2-dev [arm armel], aegis-builder (>= 1.4) [arm armel], libaegis-crypto-dev [arm armel], libxtst-dev, libxext-dev, libxi-dev, doxygen, python2.5, libxcomposite-dev, libqt4-dev, libc6, libiphb0, libxrandr-dev, maemo-optify
Standards-Version: 3.8.0

Package: applauncherd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-invoker (= ${binary:Version})
Description: Meta package for applauncherd and invoker
 Launcher daemon and invoker to speed up launches. 
 Special boosters for MeeGo Touch and Qt.

Package: applauncherd-dbg
Architecture: armel
Section: debug
Priority: extra
Depends: applauncherd (= ${binary:Version}), applauncherd-invoker-dbg, applauncherd-launcher-dbg, ${misc:Depends}
Description: Meta package for applauncherd and invoker debug symbols

Package: applauncherd-invoker
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-launcher (= ${binary:Version}), libcreds2 [arm armel]
Description: Invoker part of applauncherd
 Invoker part of applauncherd.

Package: applauncherd-invoker-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: applauncherd-invoker (= ${binary:Version}), ${misc:Depends}
Description: Invoker debug package
 Debug symbols for invoker
 
Package: applauncherd-launcher
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libcreds2 [arm armel], applauncherd-single-instance, libiphb0, libxrandr2, libxcomposite1, libqt4-declarative, libc6
Description: Launcher part of applauncherd
 Launcher part of applauncherd.

Package: applauncherd-launcher-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: applauncherd-launcher (= ${binary:Version}), ${misc:Depends}
Description: Launcher debug package
 Debug symbols for launcher

Package: applauncherd-dev
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd
Description: Development files for applications using applauncherd
 Development files for applications using applauncherd.
 
Package: applauncherd-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libmeegotouchcore0, libmeegotouchviews0, libmeegotouchextensions0, libmeegotouchsettings0, testrunner-lite, applauncherd, ci-testing, libcreds[arm armel]
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd unit tests
 Unit testing binaries and shellscripts for testing applauncherd. 

Package: applauncherd-testscripts
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, testrunner-lite, applauncherd, ci-testing, testability-driver, libcreds2 [arm armel], libcreds2-tools [arm armel], meego-env, mcetools (>= 1.10.40), rdoc, python2.5, ruby, xresponse, x11-utils, python-pyside.qtcore, python-pyside.qtdeclarative, python-pyside.qtgui, sysstat
Description: applauncherd testscripts
 Testscripts for testing applauncherd

Package: applauncherd-testapps
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd, libmeegotouchcore0, libmeegotouchviews0, libmeegotouchextensions0, libmeegotouchsettings0, libcreds2 [arm armel], libcreds2-tools [arm armel] 
Description: applaunched testapps 
 Test applications for testing  applauncherd.

Package: applauncherd-testapps-dbg
Section: debug
Architecture: armel
Priority: extra
Depends: applauncherd-testapps (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for applauncherd testapps 

Package: applauncherd-functional-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd functional tests
 Functional tests for testing applauncherd.

Package: applauncherd-invoker-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd functional tests for invoker
 Functional tests for testing applauncherd.

Package: applauncherd-daemon-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: applauncherd functional tests for daemon
 Functional tests for testing applauncherd.

Package: applauncherd-art-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd-launcher, applauncherd-invoker, mcompositor, meegotouchhome-nokia, libqtcore4, libqtgui4, libqt4-opengl, libqt4-dbus
XB-Maemo-CI-Stage: acceptance, validation
Description: applauncherd art tests
 Art tests for testing applauncherd.

Package: applauncherd-apps-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: facebookqml
XB-Maemo-CI-Stage: acceptance, validation
Description: applauncherd tests for applications dependent on applauncherd

Package: applauncherd-red-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts 
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast, staging
Description: Tests related to bugs and new features for applauncherd 

Package: applauncherd-libmeegotouch-perf-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast
Description: applauncherd performance tests for libmeegotouch applications

Package: applauncherd-qml-perf-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast
Description: applauncherd performance tests for qml applications

Package: applauncherd-reference-perf-tests
Priority: extra
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, applauncherd-testapps, applauncherd-testscripts
XB-Maemo-CI-Packages: applauncherd
XB-Maemo-CI-Stage: fast
Description: applauncherd performance tests for libmeegotouch applications without launcher

Package: applauncherd-doc
Depends: ${misc:Depends}
Section: doc
Architecture: armel
Description: Instructions for application developers

Package: applauncherd-single-instance
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Single instance binary for applauncherd
 Brings the already existing application window to foreground or
 executes new instance if not already running.
 Allows command line parameter --single-instance for invoker.

Package: applauncherd-single-instance-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: applauncherd-single-instance (= ${binary:Version}), ${misc:Depends}
Description: applauncherd single-instance debug package
 Debug symbols for single-instance binary

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/cmake.mk

# debhelper7
PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

# architecture we're building for
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	DEBUG_BUILD=1
endif

configure: configure-stamp
configure-stamp: 
	dh_testdir

ifeq ($(DEB_HOST_ARCH), arm)
	# Configure Applauncherd to be build with tests
	BUILD_TESTS=1 HARMATTAN=1 DEBUG_BUILD=$(DEBUG_BUILD) ./configure
else ifeq ($(DEB_HOST_ARCH), armel)
	# Configure Applauncherd to be build with tests
	BUILD_TESTS=1 HARMATTAN=1 DEBUG_BUILD=$(DEBUG_BUILD) ./configure
else
	# Configure Applauncherd to be build with tests and without checking invoker credentials
	BUILD_TESTS=1 DISABLE_VERIFICATION=1 HARMATTAN=1 DEBUG_BUILD=$(DEBUG_BUILD) ./configure
endif

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	make
	make doc
	touch build-stamp
    
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f CMakeCache.txt
	dh_clean

install: build
#install: build tests/harmattan/testapps/applauncherd-token-test_1.0_armel.deb
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	DESTDIR=debian/tmp make install
	cp tests/harmattan/testapps/applauncherd-token-test_1.?_armel.deb debian/tmp/usr/share/fala_images
	cp tests/harmattan/testapps/applauncherd-usrlib-test_1.?_armel.deb debian/tmp/usr/share/fala_images

#tests/harmattan/testapps/applauncherd-token-test_1.0_armel.deb:
#	cd tests/harmattan/testapps/applauncherd-token-test-1.0 && dpkg-buildpackage

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install --sourcedir=debian/tmp -v 
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip -p applauncherd-launcher --dbg-package=applauncherd-launcher-dbg
	dh_strip -p applauncherd-invoker --dbg-package=applauncherd-invoker-dbg
	dh_strip -p applauncherd-testapps --dbg-package=applauncherd-testapps-dbg
	dh_strip -p applauncherd-single-instance --dbg-package=applauncherd-single-instance-dbg
	dh_strip -p applauncherd-tests 
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb 

# This enables Aegis for arm and armel
ifeq ($(DEB_HOST_ARCH), arm)
	aegis-deb-add -control debian/applauncherd-launcher/DEBIAN/control .. debian/applauncherd-launcher.aegis=_aegis
	aegis-deb-add -control debian/applauncherd-invoker/DEBIAN/control .. debian/applauncherd-invoker.aegis=_aegis
	aegis-deb-add -control debian/applauncherd-testapps/DEBIAN/control .. debian/applauncherd-testapps.aegis=_aegis
else ifeq ($(DEB_HOST_ARCH), armel)
	aegis-deb-add -control debian/applauncherd-launcher/DEBIAN/control .. debian/applauncherd-launcher.aegis=_aegis
	aegis-deb-add -control debian/applauncherd-invoker/DEBIAN/control .. debian/applauncherd-invoker.aegis=_aegis
	aegis-deb-add -control debian/applauncherd-testapps/DEBIAN/control .. debian/applauncherd-testapps.aegis=_aegis
endif

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== tests/harmattan/testapps/applauncherd-usrlib-test/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

APPNAME := applauncherd-usrlib-test

Makefile:
	qmake-qt4

build: build-stamp

build-stamp: Makefile
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: Makefile
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
#	dh_strip --dbg-package=$(APPNAME)-dbg
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure Makefile

=== tests/harmattan/testapps/applauncherd-token-test-1.1/debian/control ===
Source: applauncherd-token-test
Section: unknown
Priority: extra
Maintainer: Marek Ruszczak <ext-marek.ruszczak@nokia.com>
Build-Depends: pkg-config, debhelper (>= 7.0.50~), libqt4-dev, applauncherd-dev, applauncherd, aegis-builder (>= 1.4), libmeegotouch-dev
Standards-Version: 3.9.1

Package: applauncherd-token-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqtgui4, applauncherd, libmeegotouchcore0
Description: Application used to test applauncherd reexec
 This application is used to test that installation of new security tokens
 is properly handled by applauncherd deamon.

Package: applauncherd-token-test-dbg
Architecture: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqtgui4, applauncherd, libmeegotouchcore0, applauncherd-token-test (= ${binary:Version})
Description: Application used to test applauncherd reexec
 This application with debug symbols is used to test that
 installation of new security tokens is properly handled 
 by applauncherd deamon.

=== tests/harmattan/testapps/applauncherd-usrlib-test/debian/control ===
Source: applauncherd-usrlib-test
Section: unknown
Priority: extra
Maintainer: Thyagarajan Balakrishnan <ext-thyagarajan.1.balakrishnan@nokia.com>
Build-Depends: pkg-config, debhelper (>= 7.0.50~), libqt4-dev, applauncherd
Standards-Version: 3.9.1

Package: applauncherd-usrlib-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqtgui4, applauncherd, libmeegotouchcore0
Description: Application tests applauncherd reexec for new files in /usr/lib
 This application is used to test that installation of new files in /usr/lib
 triggers reexec in applauncherd

#Package: applauncherd-usrlib-test-dbg
#Architecture: devel
#Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqtgui4, applauncherd, libmeegotouchcore0, applauncherd-usrlib-test (= ${binary:Version})
#Description: Application tests applauncherd reexec for new files in /usr/lib
# This application is used to test that installation of new files in /usr/lib
# triggers reexec in applauncherd. - with debug symbols
